/**
@param {connection} Connection - The SQL connection used in the OData request
@param {beforeTableName} String - The name of a temporary table with the single entry before the operation (UPDATE and DELETE events only)
@param {afterTableName} String -The name of a temporary table with the single entry after the operation (CREATE and UPDATE events only)
 */

$.import("droneiot.util", "session");
var SESSIONINFO = $.droneiot.util.session;

function updateDroneData(param) {
	$.trace.error("ERROR:: " + param);
	var after = param.afterTableName;
	//Get Input New Record Values
	var pStmt = param.connection.prepareStatement("select * from \"" + after + "\"");
	var Data = SESSIONINFO.recordSetToJSON(pStmt.executeQuery(), "Details");
	pStmt.close();
	
	var id = Data.Details[0].DRONID;
	var OWNER = Data.Details[0].OWNER;
	var DRONENAME = Data.Details[0].DRONENAME;
	var COUNTFLY = Data.Details[0].COUNTFLY;
	var COUNTFLYFAR = Data.Details[0].COUNTFLYFAR;
	var FRAME = Data.Details[0].FRAME;
	var LASTFLYFAR = Data.Details[0].LASTFLYFAR;
	var LASTFLYTIME = Data.Details[0].LASTFLYTIME;
	var LASTUSE = Data.Details[0].LASTUSE;
	var connection = $.hdb.getConnection();

	connection.executeUpdate('UPDATE "DRONMASTER"."DRONLIST" SET OWNER=?, FRAME=? , DRONENAME=? , COUNTFLY=? , COUNTFLYFAR=? , LASTFLYFAR=?, LASTFLYTIME=?, LASTUSE=? WHERE DRONID =?', OWNER, FRAME, DRONENAME,
	COUNTFLY, COUNTFLYFAR, LASTFLYFAR, LASTFLYTIME, LASTUSE,	id);

	connection.commit();
	$.trace.debug("Entered create test function...");

}