sap.ui.define([

], function() {
	"use strict";

	return sap.ui.jsfragment("DRONEDRONE_IOT.fragment.monitoring", { // this View file is called Address.view.js

		getControllerName: function() {
			return "DRONEDRONE_IOT.controller.master"; // the Controller lives in Address.controller.js
		},

		createContent: function(oController) {
			var oMap = new sap.ui.core.HTML({
				content: "<div id='map' style='height: 700px'></div>"
			});

			window.addEventListener('load', function() {
				var script = document.createElement('script');
				script.type = 'text/javascript';
				script.src ='https://maps.googleapis.com/maps/api/js?&avoid=TOLLS&libraries=places&callback=initMap';
				document.body.appendChild(script);
			
			});

			return oMap;
		}

	});
});